<CsoundSynthesizer>
<CsOptions>
-+rtaudio=alsa  -B1024 -+rtmidi=alsa -M hw:1 -odac
</CsOptions>
<CsInstruments>
sr 		= 		24000
ksmps 	= 		45
0dbfs	=		1
 
gisin	ftgen   8, 0, 512, 10, 1
garvbL init 0
garvbR init 0

ctrlinit  1, 7,64,  11,52,12,30,13,11, 14,47, 15,0, 16,64, 17,64, 18,64   
 				
;=============================================================================				
maxalloc 1, 6 						
	instr 1	; Lorenz FM	

icps		cpsmidi
iamp		ampmidi	1

ihtim	=	.01		;port time

   
kvol		midic7 7, 0, .5
kpvol		port kvol, ihtim
   
ksv      	midic7  	11,.1,8    			; The Prandtl Number or Sigma
kpsv		port ksv, ihtim

kmod		midic7	12,0,24			
kpmod		port kmod, ihtim

kbv      	midic7  	13, .1,1.667 		; Ratio Of the Length And Width 
kpbv		port kbv, ihtim					; of the box

krv      	midic7  	14, 2, 10 			; The Rayleigh Number
kprv		port krv, ihtim

ax,ay,az 	lorenz   	kpsv, kprv, kpbv, .01, .6, .6, .6, 1
kx   		downsamp  ax
ky  	 	downsamp  ay
kz  		downsamp  az
                 
imatk    	midic7  	15,.001, 4 
imdec    	midic7  	16,.001, 1 
imsus    	midic7  	17, 0, 1
   
kenv		madsr	imatk, imdec, imsus, .01
afm		foscil	kenv*iamp, icps+kx, 1, 1+kz, kpmod*ky, gisin				
 		out		afm * kpvol
garvbL = garvbL + (afm * .5) 
garvbR = garvbR + (afm * .5) 

endin

;=============================================================================

instr 999 ;Reverb
;vibrato amount
krev ctrl7 1, 18, 0, .5
aL, aR reverbsc garvbL, garvbR, .8 + .15*krev, 15000
outs aL * krev, aR * krev
garvbL = 0
garvbR = 0
endin

;=============================================================================





</CsInstruments>
<CsScore>

f0  600
i999 0 600

</CsScore>
</CsoundSynthesizer>
